import { ssrRenderAttrs, ssrInterpolate, ssrRenderStyle, ssrRenderList, ssrRenderAttr } from "vue/server-renderer";
/* empty css               */
import { useSSRContext } from "vue";
import { _ as _export_sfc } from "../entries/pages.mjs";
/*! src/components/Partners.vue [vike:pluginModuleBanner] */
const _sfc_main = {
  props: ["list", "title"],
  data() {
    return {
      logos: []
    };
  },
  created() {
    this.logos = [...this.list, ...this.list];
  }
};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  _push(`<div${ssrRenderAttrs(_attrs)}><p class="font-bold text-legal-eagle text-3xl text-center sm:mb-10 mb-6">${ssrInterpolate(_ctx.$t($props.title))}</p><div class="overflow-hidden" style="${ssrRenderStyle({ "direction": "ltr" })}"><div class="flex animate-slider" style="${ssrRenderStyle({ "--list-length": $props.list.length })}"><!--[-->`);
  ssrRenderList($data.logos, (item, index) => {
    _push(`<div class="w-[200px] shrink-0 px-1.5"><div class="p-3 h-full bg-[#F7F9FC] rounded-2xl flex items-center justify-center"><img${ssrRenderAttr("src", item.image)}${ssrRenderAttr("alt", `Partner ${item.id}`)}></div></div>`);
  });
  _push(`<!--]--></div></div></div>`);
}
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("src/components/Partners.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const Partners = /* @__PURE__ */ _export_sfc(_sfc_main, [["ssrRender", _sfc_ssrRender]]);
export {
  Partners as P
};
